aboutsummaryrefslogtreecommitdiff
path: root/scripts/makerpm.sh
diff options
context:
space:
mode:
authorAvuton Olrich <avuton@gmail.com>2006-07-22 22:01:05 +0000
committerAvuton Olrich <avuton@gmail.com>2006-07-22 22:01:05 +0000
commitc454122a021d705c5ddfa74913d53c18aa078ecb (patch)
tree1b93e7584ad9003ef678b32092d932b8b903a763 /scripts/makerpm.sh
parent6dfaa33f376f81fb9650d39a03ca57a46b9aec5a (diff)
- Add a 'scripts' directory, remove scripts from
docs/ & base directory - Add a spec file (my first try, please report problems) git-svn-id: https://svn.musicpd.org/mpd/trunk@4429 09075e82-0dd4-0310-85a5-a0d7c8717e4f
Diffstat (limited to 'scripts/makerpm.sh')
-rwxr-xr-xscripts/makerpm.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/scripts/makerpm.sh b/scripts/makerpm.sh
new file mode 100755
index 00000000..52104c8a
--- /dev/null
+++ b/scripts/makerpm.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+PWD=`pwd`
+
+## If we're not in the scripts directory
+## assume the base directory.
+if test "`basename $PWD`" != "scripts" && \
+ test -d scripts; then
+ cd scripts
+fi
+
+./makedist.sh
+
+rpmbuild -bb mpd.spec
+
+if test $? -eq 0; then
+ echo 'Your RPM should be ready now'
+else
+ echo 'Something went wrong when building your RPM'
+fi
+
+if test -f ../mpd-?.??.?.tar.gz;
+then
+ rm ../mpd-?.??.?.tar.gz
+fi
+
+if test "`basename $PWD`" != "scripts"; then
+ cd ..
+fi